package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DrdsCancelDDLJob extends MySqlStatementImpl implements SQLStatement {
   private List<Long> jobIds = new ArrayList();

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public List<Long> getJobIds() {
      return this.jobIds;
   }

   public void addJobId(long id) {
      this.jobIds.add(id);
   }
}
